<?xml version="1.0" encoding="utf-8"?>
<navigation xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/nav_graph"
    app:startDestination="@id/recyclerViewFragment">

    <fragment
        android:id="@+id/favouritesFragment"
        android:name="com.example.apiretrofit.view.FavouritesFragment"
        android:label="fragment_favourites"
        tools:layout="@layout/fragment_favourites">
    <action
        android:id="@+id/action_favouritesFragment_to_detailFragment"
        app:destination="@id/detailFragment" />
    </fragment>

    <fragment
        android:id="@+id/recyclerViewFragment"
        android:name="com.example.apiretrofit.view.RecyclerViewFragment"
        android:label="fragment_recycler_view"
        tools:layout="@layout/fragment_recycler_view" >
        <action
            android:id="@+id/action_recyclerViewFragment_to_detailFragment"
            app:destination="@id/detailFragment" />
    </fragment>
    <fragment
        android:id="@+id/detailFragment"
        android:name="com.example.apiretrofit.view.DetailFragment"
        android:label="fragment_detail"
        tools:layout="@layout/fragment_detail" >
        <argument
            android:name="id"
            app:argType="integer"/>
        <action
            android:id="@+id/action_detailFragment_to_recyclerViewFragment2"
            app:destination="@id/recyclerViewFragment" />
    </fragment>
</navigation>